package com.ecep.contract.ds.vendor.repository;

import org.springframework.stereotype.Repository;

import com.ecep.contract.VendorFileType;
import com.ecep.contract.ds.other.repository.BaseEnumEntityRepository;
import com.ecep.contract.model.VendorFileTypeLocal;

@Repository
public interface CompanyVendorFileTypeLocalRepository
        extends BaseEnumEntityRepository<VendorFileType, VendorFileTypeLocal, Integer> {

    @Override
    default VendorFileType[] getEnumConstants() {
        return VendorFileType.values();
    }

    @Override
    default VendorFileTypeLocal newEntity() {
        return new VendorFileTypeLocal();
    }
}